Bug 1464699 - x86_64 debuginfo conflicts with i686 debuginfo
x86_64 debuginfo conflicts with i686 debuginfo
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-24 14:32 EDT by Mikhail
Modified: 2017-07-27 06:06 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-23 04:51:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2017-06-24 14:32:12 EDT
Description of problem:


1: Try get backtrace for coredump

$ coredumpctl gdb 13510
           PID: 13510 (gnome-documents)
           UID: 1000 (mikhail)
           GID: 1000 (mikhail)
        Signal: 11 (SEGV)
     Timestamp: Sat 2017-06-24 20:49:15 +05 (2h 37min ago)
  Command Line: /usr/bin/gjs-console /usr/bin/gnome-documents --gapplication-service
    Executable: /usr/bin/gjs-console
 Control Group: /user.slice/user-1000.slice/user@1000.service/dbus.service
          Unit: user@1000.service
     User Unit: dbus.service
         Slice: user-1000.slice
     Owner UID: 1000 (mikhail)
       Boot ID: 648db53310df460db895643eb19effbe
    Machine ID: edc1cc95c19c4261af3af0c053b20c2e
      Hostname: localhost.localdomain
       Storage: /var/lib/systemd/coredump/core.gnome-documents.1000.648db53310df460db895643eb19effbe.13510.1498319355000000.lz4
       Message: Process 13510 (gnome-documents) of user 1000 dumped core.
                
                Stack trace of thread 13785:
                #0  0x00007efdbd69d0dc sqlite3DbMallocRawNN (libsqlite3.so.0)
                #1  0x00007efdbd6b4fe7 sqlite3VdbeMemGrow (libsqlite3.so.0)
                #2  0x00007efdbd6f8d69 allocateCursor (libsqlite3.so.0)
                #3  0x00007efdbd6fde8d sqlite3VdbeExec (libsqlite3.so.0)
                #4  0x00007efdbd70764f sqlite3_step (libsqlite3.so.0)
                #5  0x00007efdbde11681 db_cursor_iter_next (libtracker-data.so.0)
                #6  0x00007efdbde1178e tracker_db_cursor_iter_next_thread (libtracker-data.so.0)
                #7  0x00007efde2e6f086 g_task_thread_pool_thread (libgio-2.0.so.0)
                #8  0x00007efde28f1f00 g_thread_pool_thread_proxy (libglib-2.0.so.0)
                #9  0x00007efde28f1536 g_thread_proxy (libglib-2.0.so.0)
                #10 0x00007efde1af036d start_thread (libpthread.so.0)
                #11 0x00007efde1828b9f __clone (libc.so.6)
                
                Stack trace of thread 13535:
                #0  0x00007efde1af681b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                #1  0x00007efdd6ee7580 PR_WaitCondVar (libnspr4.so)
                #2  0x00007efdde3c30b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                #3  0x00007efdd6eececb _pt_root (libnspr4.so)
                #4  0x00007efde1af036d start_thread (libpthread.so.0)
                #5  0x00007efde1828b9f __clone (libc.so.6)
                
                Stack trace of thread 13531:
                #0  0x00007efde1af681b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                #1  0x00007efdd6ee7580 PR_WaitCondVar (libnspr4.so)
                #2  0x00007efdde3c30b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                #3  0x00007efdd6eececb _pt_root (libnspr4.so)
                #4  0x00007efde1af036d start_thread (libpthread.so.0)
                #5  0x00007efde1828b9f __clone (libc.so.6)
                
                Stack trace of thread 13748:
                #0  0x00007efde1af681b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                #1  0x00007efde22eac6c _ZNSt18condition_variable4waitERSt11unique_lockISt5mutexE (libstdc++.so.6)
                #2  0x00007efdad1ba2f7 _ZN7bmalloc9AsyncTaskINS_4HeapEMS1_FvvEE13threadRunLoopEv (libjavascriptcoregtk-4.0.so.18)
                #3  0x00007efdad1ba439 _ZN7bmalloc9AsyncTaskINS_4HeapEMS1_FvvEE16threadEntryPointEPS4_ (libjavascriptcoregtk-4.0.so.18)
                #4  0x00007efde22f0faf n/a (libstdc++.so.6)
                #5  0x00007efde1af036d start_thread (libpthread.so.0)
                #6  0x00007efde1828b9f __clone (libc.so.6)
                
                Stack trace of thread 13532:
                #0  0x00007efde1af681b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                #1  0x00007efdd6ee7580 PR_WaitCondVar (libnspr4.so)
                #2  0x00007efdde3c30b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                #3  0x00007efdd6eececb _pt_root (libnspr4.so)
                #4  0x00007efde1af036d start_thread (libpthread.so.0)
                #5  0x00007efde1828b9f __clone (libc.so.6)
                
                Stack trace of thread 13534:
                #0  0x00007efde1af681b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                #1  0x00007efdd6ee7580 PR_WaitCondVar (libnspr4.so)
                #2  0x00007efdde3c30b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                #3  0x00007efdd6eececb _pt_root (libnspr4.so)
                #4  0x00007efde1af036d start_thread (libpthread.so.0)
                #5  0x00007efde1828b9f __clone (libc.so.6)
                
                Stack trace of thread 13538:
                #0  0x00007efde1af681b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                #1  0x00007efdd6ee7580 PR_WaitCondVar (libnspr4.so)
                #2  0x00007efdde3c30b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                #3  0x00007efdd6eececb _pt_root (libnspr4.so)
                #4  0x00007efde1af036d start_thread (libpthread.so.0)
                #5  0x00007efde1828b9f __clone (libc.so.6)
                
                Stack trace of thread 13510:
                #0  0x00007efddfa34505 gdk_pixbuf_get_from_surface (libgdk-3.so.0)
                #1  0x00007efdafdf38eb gd_create_collection_icon (libgdprivate-1.0.so)
                #2  0x00007efde1515bde ffi_call_unix64 (libffi.so.6)
                #3  0x00007efde151554f ffi_call (libffi.so.6)
                #4  0x00007efde25eb70c n/a (libgjs.so.0)
                #5  0x00007efde25eceb6 n/a (libgjs.so.0)
                #6  0x00007efdde3e96a8 _ZN2js6InvokeEP9JSContextN2JS8CallArgsENS_14MaybeConstructE (libmozjs-38.so)
                #7  0x00007efdde3df4cd _ZL9InterpretP9JSContextRN2js8RunStateE (libmozjs-38.so)
                #8  0x00007efdde3e9324 _ZN2js9RunScriptEP9JSContextRNS_8RunStateE (libmozjs-38.so)
                #9  0x00007efdde3e9614 _ZN2js6InvokeEP9JSContextN2JS8CallArgsENS_14MaybeConstructE (libmozjs-38.so)
                #10 0x00007efdde3ea243 _ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS4_NS2_13MutableHandleIS3_EE (libmozjs-38.so)
                #11 0x00007efdde642bfb _ZN2js3jit14InvokeFunctionEP9JSContextN2JS6HandleIP8JSObjectEEjPNS3_5ValueES9_ (libmozjs-38.so)
                #12 0x00007efde3398134 n/a (n/a)

GNU gdb (GDB) Fedora 8.0-13.fc26
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/bin/gjs-console...Reading symbols from /usr/lib/debug/usr/bin/gjs-console.debug...done.
done.

warning: core file may not match specified executable file.
[New LWP 13785]
[New LWP 13535]
[New LWP 13531]
[New LWP 13748]
[New LWP 13532]
[New LWP 13534]
[New LWP 13538]
[New LWP 13510]
[New LWP 13651]
[New LWP 13536]
[New LWP 13542]
[New LWP 13766]
[New LWP 13776]
[New LWP 13811]
[New LWP 13537]
[New LWP 13570]
[New LWP 13533]
[New LWP 13540]
[New LWP 13625]
[New LWP 13541]
[New LWP 13548]
[New LWP 13539]
[New LWP 13547]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/usr/bin/gjs-console /usr/bin/gnome-documents --gapplication-service'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00007efdbd69d0dc in sqlite3DbMallocRawNN () from /lib64/libsqlite3.so.0
[Current thread is 1 (Thread 0x7efd6dffb700 (LWP 13785))]
Missing separate debuginfos, use: dnf debuginfo-install dbus-libs-1.11.12-1.fc26.x86_64 expat-2.2.0-2.fc26.x86_64 fontconfig-2.12.1-4.fc26.x86_64 freetype-2.7.1-9.fc26.x86_64 gdk-pixbuf2-2.36.6-1.fc26.x86_64 gdk-pixbuf2-modules-2.36.6-1.fc26.x86_64 gmp-6.1.2-4.fc26.x86_64 json-glib-1.2.8-1.fc26.x86_64 keyutils-libs-1.5.10-1.fc26.x86_64 krb5-libs-1.15.1-8.fc26.x86_64 libSM-1.2.2-5.fc26.x86_64 libX11-1.6.5-2.fc26.x86_64 libXau-1.0.8-7.fc26.x86_64 libXcomposite-0.4.4-9.fc26.x86_64 libXdamage-1.1.4-9.fc26.x86_64 libXi-1.7.9-2.fc26.x86_64 libcap-2.25-5.fc26.x86_64 libcom_err-1.43.4-2.fc26.x86_64 libdatrie-0.2.9-4.fc26.x86_64 libepoxy-1.4.1-1.fc26.x86_64 libgcrypt-1.7.7-1.fc26.x86_64 libidn2-2.0.2-1.fc26.x86_64 libjpeg-turbo-1.5.1-0.fc26.x86_64 libnghttp2-1.21.1-1.fc26.x86_64 libpsl-0.17.0-2.fc26.x86_64 libsoup-2.58.1-1.fc26.x86_64 libtasn1-4.12-1.fc26.x86_64 libthai-0.1.25-2.fc26.x86_64 libunistring-0.9.7-1.fc26.x86_64 libwayland-client-1.13.0-1.fc26.x86_64 libwayland-cursor-1.13.0-1.fc26.x86_64 libwayland-server-1.13.0-1.fc26.x86_64 libwebp-0.6.0-2.fc26.x86_64 libxcb-1.12-3.fc26.x86_64 libxkbcommon-0.7.1-3.fc26.x86_64 libxml2-2.9.4-2.fc26.x86_64 lz4-libs-1.7.5-3.fc26.x86_64 nettle-3.3-2.fc26.x86_64 nss-util-3.30.2-1.0.fc26.x86_64 orc-0.4.26-2.fc26.x86_64 sqlite-libs-3.19.1-1.fc26.x86_64
(gdb) 


2. Try install missing debuginfo

# dnf debuginfo-install dbus-libs-1.11.12-1.fc26.x86_64 expat-2.2.0-2.fc26.x86_64 fontconfig-2.12.1-4.fc26.x86_64 freetype-2.7.1-9.fc26.x86_64 gdk-pixbuf2-2.36.6-1.fc26.x86_64 gdk-pixbuf2-modules-2.36.6-1.fc26.x86_64 gmp-6.1.2-4.fc26.x86_64 json-glib-1.2.8-1.fc26.x86_64 keyutils-libs-1.5.10-1.fc26.x86_64 krb5-libs-1.15.1-8.fc26.x86_64 libSM-1.2.2-5.fc26.x86_64 libX11-1.6.5-2.fc26.x86_64 libXau-1.0.8-7.fc26.x86_64 libXcomposite-0.4.4-9.fc26.x86_64 libXdamage-1.1.4-9.fc26.x86_64 libXi-1.7.9-2.fc26.x86_64 libcap-2.25-5.fc26.x86_64 libcom_err-1.43.4-2.fc26.x86_64 libdatrie-0.2.9-4.fc26.x86_64 libepoxy-1.4.1-1.fc26.x86_64 libgcrypt-1.7.7-1.fc26.x86_64 libidn2-2.0.2-1.fc26.x86_64 libjpeg-turbo-1.5.1-0.fc26.x86_64 libnghttp2-1.21.1-1.fc26.x86_64 libpsl-0.17.0-2.fc26.x86_64 libsoup-2.58.1-1.fc26.x86_64 libtasn1-4.12-1.fc26.x86_64 libthai-0.1.25-2.fc26.x86_64 libunistring-0.9.7-1.fc26.x86_64 libwayland-client-1.13.0-1.fc26.x86_64 libwayland-cursor-1.13.0-1.fc26.x86_64 libwayland-server-1.13.0-1.fc26.x86_64 libwebp-0.6.0-2.fc26.x86_64 libxcb-1.12-3.fc26.x86_64 libxkbcommon-0.7.1-3.fc26.x86_64 libxml2-2.9.4-2.fc26.x86_64 lz4-libs-1.7.5-3.fc26.x86_64 nettle-3.3-2.fc26.x86_64 nss-util-3.30.2-1.0.fc26.x86_64 orc-0.4.26-2.fc26.x86_64 sqlite-libs-3.19.1-1.fc26.x86_64
enabling updates-testing-debuginfo repository
enabling updates-debuginfo repository
enabling fedora-debuginfo repository
enabling rpmfusion-free-updates-testing-debuginfo repository
enabling rpmfusion-free-debuginfo repository
enabling rpmfusion-nonfree-updates-testing-debuginfo repository
enabling rpmfusion-nonfree-debuginfo repository
Last metadata expiration check: 0:30:32 ago on Sat 24 Jun 2017 10:56:38 PM +05.
Package glibc-debuginfo-2.25-6.fc26.x86_64 is already installed, skipping.
Package systemd-debuginfo-233-4.fc26.x86_64 is already installed, skipping.
Package libcap-debuginfo-2.25-5.fc26.i686 is already installed, skipping.
Package gcc-debuginfo-7.1.1-2.fc26.x86_64 is already installed, skipping.
Package libgcrypt-debuginfo-1.7.7-1.fc26.i686 is already installed, skipping.
Package libgpg-error-debuginfo-1.25-2.fc26.x86_64 is already installed, skipping.
Package lz4-debuginfo-1.7.5-3.fc26.i686 is already installed, skipping.
Package xz-debuginfo-5.2.3-2.fc26.x86_64 is already installed, skipping.
Package libselinux-debuginfo-2.6-6.fc26.x86_64 is already installed, skipping.
Package pcre-debuginfo-8.40-7.fc26.x86_64 is already installed, skipping.
Package libsepol-debuginfo-2.6-1.fc26.i686 is already installed, skipping.
Package freetype-debuginfo-2.7.1-9.fc26.i686 is already installed, skipping.
Package bzip2-debuginfo-1.0.6-22.fc26.i686 is already installed, skipping.
Package libpng-debuginfo-2:1.6.28-2.fc26.x86_64 is already installed, skipping.
Package zlib-debuginfo-1.2.11-2.fc26.x86_64 is already installed, skipping.
Package glib2-debuginfo-2.52.3-1.fc26.x86_64 is already installed, skipping.
Package libffi-debuginfo-3.1-11.fc26.x86_64 is already installed, skipping.
Package util-linux-debuginfo-2.30-1.fc26.x86_64 is already installed, skipping.
Package jasper-debuginfo-2.0.12-1.fc26.i686 is already installed, skipping.
Package libjpeg-turbo-debuginfo-1.5.1-0.fc26.i686 is already installed, skipping.
Package libtiff-debuginfo-4.0.8-1.fc26.x86_64 is already installed, skipping.
Package jbigkit-debuginfo-2.1-6.fc26.x86_64 is already installed, skipping.
Package e2fsprogs-debuginfo-1.43.4-2.fc26.i686 is already installed, skipping.
Package openssl-debuginfo-1:1.1.0f-3.fc26.x86_64 is already installed, skipping.
Package libverto-debuginfo-0.2.6-7.fc26.i686 is already installed, skipping.
Package libICE-debuginfo-1.0.9-9.fc26.x86_64 is already installed, skipping.
Package libxcb-debuginfo-1.12-3.fc26.i686 is already installed, skipping.
Package libXau-debuginfo-1.0.8-7.fc26.i686 is already installed, skipping.
Package libXfixes-debuginfo-5.0.3-2.fc26.x86_64 is already installed, skipping.
Package libXext-debuginfo-1.3.3-5.fc26.x86_64 is already installed, skipping.
Package libunistring-debuginfo-0.9.7-1.fc26.i686 is already installed, skipping.
Package sqlite-debuginfo-3.19.1-1.fc26.i686 is already installed, skipping.
Package libxml2-debuginfo-2.9.4-2.fc26.i686 is already installed, skipping.
Package nspr-debuginfo-4.14.0-2.fc26.x86_64 is already installed, skipping.
Dependencies resolved.
===================================================================================================================================================================================================================
 Package                                                 Arch                                   Version                                            Repository                                                 Size
===================================================================================================================================================================================================================
Installing:
 dbus-debuginfo                                          x86_64                                 1:1.11.12-1.fc26                                   updates-testing-debuginfo                                 1.5 M
 expat-debuginfo                                         x86_64                                 2.2.0-2.fc26                                       fedora-debuginfo                                          199 k
 fontconfig-debuginfo                                    x86_64                                 2.12.1-4.fc26                                      fedora-debuginfo                                          450 k
 gdk-pixbuf2-debuginfo                                   x86_64                                 2.36.6-1.fc26                                      updates-testing-debuginfo                                 752 k
 gmp-debuginfo                                           x86_64                                 1:6.1.2-4.fc26                                     updates-testing-debuginfo                                 903 k
 json-glib-debuginfo                                     x86_64                                 1.2.8-1.fc26                                       updates-testing-debuginfo                                 343 k
 keyutils-debuginfo                                      x86_64                                 1.5.10-1.fc26                                      updates-testing-debuginfo                                  90 k
 krb5-debuginfo                                          x86_64                                 1.15.1-8.fc26                                      updates-testing-debuginfo                                 4.2 M
 libSM-debuginfo                                         x86_64                                 1.2.2-5.fc26                                       fedora-debuginfo                                           56 k
 libX11-debuginfo                                        x86_64                                 1.6.5-2.fc26                                       updates-testing-debuginfo                                 1.7 M
 libXcomposite-debuginfo                                 x86_64                                 0.4.4-9.fc26                                       fedora-debuginfo                                           34 k
 libXdamage-debuginfo                                    x86_64                                 1.1.4-9.fc26                                       fedora-debuginfo                                           34 k
 libXi-debuginfo                                         x86_64                                 1.7.9-2.fc26                                       fedora-debuginfo                                          146 k
 libdatrie-debuginfo                                     x86_64                                 0.2.9-4.fc26                                       fedora-debuginfo                                           76 k
 libepoxy-debuginfo                                      x86_64                                 1.4.1-1.fc26                                       updates-testing-debuginfo                                 1.1 M
 libidn2-debuginfo                                       x86_64                                 2.0.2-1.fc26                                       updates-testing-debuginfo                                 148 k
 libpsl-debuginfo                                        x86_64                                 0.17.0-2.fc26                                      fedora-debuginfo                                          105 k
 libsoup-debuginfo                                       x86_64                                 2.58.1-1.fc26                                      updates-testing-debuginfo                                 810 k
 libtasn1-debuginfo                                      x86_64                                 4.12-1.fc26                                        updates-testing-debuginfo                                 185 k
 libthai-debuginfo                                       x86_64                                 0.1.25-2.fc26                                      fedora-debuginfo                                           76 k
 libwebp-debuginfo                                       x86_64                                 0.6.0-2.fc26                                       fedora-debuginfo                                          1.6 M
 libxkbcommon-debuginfo                                  x86_64                                 0.7.1-3.fc26                                       updates-testing-debuginfo                                 399 k
 nettle-debuginfo                                        x86_64                                 3.3-2.fc26                                         fedora-debuginfo                                          741 k
 nghttp2-debuginfo                                       x86_64                                 1.21.1-1.fc26                                      updates-testing-debuginfo                                 4.8 M
 nss-util-debuginfo                                      x86_64                                 3.30.2-1.0.fc26                                    updates-testing-debuginfo                                 278 k
 orc-debuginfo                                           x86_64                                 0.4.26-2.fc26                                      fedora-debuginfo                                          506 k
 wayland-debuginfo                                       x86_64                                 1.13.0-1.fc26                                      fedora-debuginfo                                          261 k

Transaction Summary
===================================================================================================================================================================================================================
Install  27 Packages

Total download size: 21 M
Installed size: 100 M
Is this ok [y/N]: y
Downloading Packages:
(1/27): expat-debuginfo-2.2.0-2.fc26.x86_64.rpm                                                                                                                                    282 kB/s | 199 kB     00:00    
(2/27): libSM-debuginfo-1.2.2-5.fc26.x86_64.rpm                                                                                                                                    387 kB/s |  56 kB     00:00    
(3/27): json-glib-debuginfo-1.2.8-1.fc26.x86_64.rpm                                                                                                                                347 kB/s | 343 kB     00:00    
(4/27): fontconfig-debuginfo-2.12.1-4.fc26.x86_64.rpm                                                                                                                              417 kB/s | 450 kB     00:01    
(5/27): libXdamage-debuginfo-1.1.4-9.fc26.x86_64.rpm                                                                                                                               108 kB/s |  34 kB     00:00    
(6/27): libdatrie-debuginfo-0.2.9-4.fc26.x86_64.rpm                                                                                                                                187 kB/s |  76 kB     00:00    
(7/27): libXcomposite-debuginfo-0.4.4-9.fc26.x86_64.rpm                                                                                                                             39 kB/s |  34 kB     00:00    
(8/27): libXi-debuginfo-1.7.9-2.fc26.x86_64.rpm                                                                                                                                    115 kB/s | 146 kB     00:01    
(9/27): libpsl-debuginfo-0.17.0-2.fc26.x86_64.rpm                                                                                                                                  148 kB/s | 105 kB     00:00    
(10/27): libthai-debuginfo-0.1.25-2.fc26.x86_64.rpm                                                                                                                                 99 kB/s |  76 kB     00:00    
(11/27): wayland-debuginfo-1.13.0-1.fc26.x86_64.rpm                                                                                                                                578 kB/s | 261 kB     00:00    
(12/27): orc-debuginfo-0.4.26-2.fc26.x86_64.rpm                                                                                                                                    542 kB/s | 506 kB     00:00    
(13/27): nettle-debuginfo-3.3-2.fc26.x86_64.rpm                                                                                                                                    531 kB/s | 741 kB     00:01    
(14/27): gdk-pixbuf2-debuginfo-2.36.6-1.fc26.x86_64.rpm                                                                                                                            949 kB/s | 752 kB     00:00    
(15/27): gmp-debuginfo-6.1.2-4.fc26.x86_64.rpm                                                                                                                                     1.7 MB/s | 903 kB     00:00    
(16/27): dbus-debuginfo-1.11.12-1.fc26.x86_64.rpm                                                                                                                                  821 kB/s | 1.5 MB     00:01    
(17/27): keyutils-debuginfo-1.5.10-1.fc26.x86_64.rpm                                                                                                                               134 kB/s |  90 kB     00:00    
(18/27): libwebp-debuginfo-0.6.0-2.fc26.x86_64.rpm                                                                                                                                 465 kB/s | 1.6 MB     00:03    
(19/27): libepoxy-debuginfo-1.4.1-1.fc26.x86_64.rpm                                                                                                                                1.4 MB/s | 1.1 MB     00:00    
(20/27): libX11-debuginfo-1.6.5-2.fc26.x86_64.rpm                                                                                                                                  1.8 MB/s | 1.7 MB     00:00    
(21/27): libidn2-debuginfo-2.0.2-1.fc26.x86_64.rpm                                                                                                                                 481 kB/s | 148 kB     00:00    
(22/27): libsoup-debuginfo-2.58.1-1.fc26.x86_64.rpm                                                                                                                                2.1 MB/s | 810 kB     00:00    
(23/27): libtasn1-debuginfo-4.12-1.fc26.x86_64.rpm                                                                                                                                 1.6 MB/s | 185 kB     00:00    
(24/27): libxkbcommon-debuginfo-0.7.1-3.fc26.x86_64.rpm                                                                                                                            1.4 MB/s | 399 kB     00:00    
(25/27): nss-util-debuginfo-3.30.2-1.0.fc26.x86_64.rpm                                                                                                                             1.1 MB/s | 278 kB     00:00    
(26/27): krb5-debuginfo-1.15.1-8.fc26.x86_64.rpm                                                                                                                                   933 kB/s | 4.2 MB     00:04    
(27/27): nghttp2-debuginfo-1.21.1-1.fc26.x86_64.rpm                                                                                                                                1.0 MB/s | 4.8 MB     00:04    
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                              1.5 MB/s |  21 MB     00:14     
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/src/debug/gmp-6.1.2/gmp.h from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/fib_table.c from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/mp_bases.c from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/perfsqr.h from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-add_n.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-addmul_1.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-bdiv_dbm1c.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-bdiv_q_1.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-cnd_add_n.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-cnd_sub_n.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-copyd.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-copyi.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-dive_1.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-divrem_1.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-divrem_2.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-gcd_1.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-lshift.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-mod_34lsub1.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-mode1o.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-mul_1.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-mul_basecase.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-rshift.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-sec_tabselect.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-sqr_basecase.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-sub_n.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/gmp-6.1.2/mpn/tmp-submul_1.s from install of gmp-debuginfo-1:6.1.2-4.fc26.x86_64 conflicts with file from package gmp-debuginfo-1:6.1.2-4.fc26.i686
  file /usr/src/debug/dbus-1.11.12/build/dbus/dbus-arch-deps.h from install of dbus-debuginfo-1:1.11.12-1.fc26.x86_64 conflicts with file from package dbus-debuginfo-1:1.11.12-1.fc26.i686
  file /usr/src/debug/nettle-3.3/aes-decrypt-internal.s from install of nettle-debuginfo-3.3-2.fc26.x86_64 conflicts with file from package nettle-debuginfo-3.3-2.fc26.i686
  file /usr/src/debug/nettle-3.3/aes-encrypt-internal.s from install of nettle-debuginfo-3.3-2.fc26.x86_64 conflicts with file from package nettle-debuginfo-3.3-2.fc26.i686
  file /usr/src/debug/nettle-3.3/camellia-crypt-internal.s from install of nettle-debuginfo-3.3-2.fc26.x86_64 conflicts with file from package nettle-debuginfo-3.3-2.fc26.i686
  file /usr/src/debug/nettle-3.3/config.h from install of nettle-debuginfo-3.3-2.fc26.x86_64 conflicts with file from package nettle-debuginfo-3.3-2.fc26.i686
  file /usr/src/debug/nettle-3.3/ecc-25519.h from install of nettle-debuginfo-3.3-2.fc26.x86_64 conflicts with file from package nettle-debuginfo-3.3-2.fc26.i686
  file /usr/src/debug/nettle-3.3/ecc-256.h from install of nettle-debuginfo-3.3-2.fc26.x86_64 conflicts with file from package nettle-debuginfo-3.3-2.fc26.i686
  file /usr/src/debug/nettle-3.3/ecc-384.h from install of nettle-debuginfo-3.3-2.fc26.x86_64 conflicts with file from package nettle-debuginfo-3.3-2.fc26.i686
  file /usr/src/debug/nettle-3.3/ecc-521.h from install of nettle-debuginfo-3.3-2.fc26.x86_64 conflicts with file from package nettle-debuginfo-3.3-2.fc26.i686
  file /usr/src/debug/nettle-3.3/md5-compress.s from install of nettle-debuginfo-3.3-2.fc26.x86_64 conflicts with file from package nettle-debuginfo-3.3-2.fc26.i686
  file /usr/src/debug/nettle-3.3/sha1-compress.s from install of nettle-debuginfo-3.3-2.fc26.x86_64 conflicts with file from package nettle-debuginfo-3.3-2.fc26.i686

Error Summary
-------------
Comment 1 Mikhail 2017-06-24 14:44:20 EDT
Yet another case:

# dnf debuginfo-install glibc-2.25-6.fc26.i686 libXfixes-5.0.3-2.fc26.i686 libgpg-error-1.25-2.fc26.i686 libpciaccess-0.13.4-4.fc26.i686 libselinux-2.6-6.fc26.i686 libsndfile-1.0.28-3.fc26.i686 libtxc_dxtn-1.0.1-2.gitef072983.fc26.i686 libuuid-2.30-1.fc26.i686 libvorbis-1.3.5-2.fc26.i686 pcre-8.40-7.fc26.i686 systemd-libs-233-4.fc26.i686 tcp_wrappers-libs-7.6-85.fc26.i686 xz-libs-5.2.3-2.fc26.i686 zlib-1.2.11-2.fc26.i686
Last metadata expiration check: 0:03:16 ago on Sat 24 Jun 2017 11:40:21 PM +05.
Package libX11-debuginfo-1.6.5-2.fc26.i686 is already installed, skipping.
Package libxcb-debuginfo-1.12-3.fc26.i686 is already installed, skipping.
Package libXau-debuginfo-1.0.8-7.fc26.i686 is already installed, skipping.
Package pcre-debuginfo-8.40-7.fc26.x86_64 is already installed, skipping.
Package libsepol-debuginfo-2.6-1.fc26.i686 is already installed, skipping.
Package libsndfile-debuginfo-1.0.28-2.fc26.i686 is already installed, skipping.
Package flac-debuginfo-1.3.2-2.fc26.x86_64 is already installed, skipping.
Package gcc-debuginfo-7.1.1-2.fc26.x86_64 is already installed, skipping.
Package libogg-debuginfo-2:1.3.2-6.fc26.i686 is already installed, skipping.
Package gsm-debuginfo-1.0.16-2.fc26.i686 is already installed, skipping.
Package libvorbis-debuginfo-1:1.3.5-2.fc26.x86_64 is already installed, skipping.
Package libcap-debuginfo-2.25-5.fc26.i686 is already installed, skipping.
Package libgcrypt-debuginfo-1.7.7-1.fc26.i686 is already installed, skipping.
Package lz4-debuginfo-1.7.5-3.fc26.i686 is already installed, skipping.
Package xz-debuginfo-5.2.3-2.fc26.x86_64 is already installed, skipping.
Dependencies resolved.
===============================================================================
 Package                   Arch    Version           Repository           Size
===============================================================================
Installing:
 glibc-debuginfo           i686    2.25-6.fc26       fedora-debuginfo     13 M
 libXfixes-debuginfo       i686    5.0.3-2.fc26      fedora-debuginfo     47 k
 libgpg-error-debuginfo    i686    1.25-2.fc26       fedora-debuginfo    171 k
 libpciaccess-debuginfo    i686    0.13.4-4.fc26     fedora-debuginfo     67 k
 libselinux-debuginfo      i686    2.6-6.fc26        fedora-debuginfo    848 k
 systemd-debuginfo         i686    233-4.fc26        fedora-debuginfo     15 M
 tcp_wrappers-debuginfo    i686    7.6-85.fc26       fedora-debuginfo    134 k
 util-linux-debuginfo      i686    2.29.1-2.fc26     fedora-debuginfo    3.4 M
 zlib-debuginfo            i686    1.2.11-2.fc26     fedora-debuginfo    264 k

Transaction Summary
===============================================================================
Install  9 Packages

Total size: 34 M
Installed size: 153 M
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] glibc-debuginfo-2.25-6.fc26.i686.rpm: Already downloaded            
[SKIPPED] libXfixes-debuginfo-5.0.3-2.fc26.i686.rpm: Already downloaded       
[SKIPPED] libgpg-error-debuginfo-1.25-2.fc26.i686.rpm: Already downloaded     
[SKIPPED] libpciaccess-debuginfo-0.13.4-4.fc26.i686.rpm: Already downloaded   
[SKIPPED] libselinux-debuginfo-2.6-6.fc26.i686.rpm: Already downloaded        
[SKIPPED] util-linux-debuginfo-2.29.1-2.fc26.i686.rpm: Already downloaded     
[SKIPPED] systemd-debuginfo-233-4.fc26.i686.rpm: Already downloaded           
[SKIPPED] tcp_wrappers-debuginfo-7.6-85.fc26.i686.rpm: Already downloaded     
[SKIPPED] zlib-debuginfo-1.2.11-2.fc26.i686.rpm: Already downloaded           
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/src/debug/systemd-233/src/basic/errno-to-name.h from install of systemd-debuginfo-233-4.fc26.i686 conflicts with file from package systemd-debuginfo-233-4.fc26.x86_64

Error Summary
-------------
Comment 2 Kevin Fenzi 2017-06-24 15:00:40 EDT
Moving to rpm as it has rpmbuild which has the find-debuginfo script. 

Also see https://fedoraproject.org/wiki/Changes/ParallelInstallableDebuginfo for a f27 change that might help you out.
Comment 3 Mark Wielaard 2017-06-24 18:36:07 EDT
(In reply to Kevin Fenzi from comment #2)
> Moving to rpm as it has rpmbuild which has the find-debuginfo script. 
> 
> Also see https://fedoraproject.org/wiki/Changes/ParallelInstallableDebuginfo
> for a f27 change that might help you out.

Yes, if we did things correctly then installing i686 and x86_64 debuginfo packages in parallel should work in rawhide/f27. That was one of the goals of that change. It only works for rawhide/f27 though. f26 doesn't have that change (and the debuginfo packages need to be rebuild for them to become parallel installable).
Comment 4 Igor Gnatenko 2017-07-23 04:51:08 EDT
[brain@ignatenko-w541 ~]$ sudo dnf --enablerepo=rawhide-debuginfo install systemd-debuginfo.i686 systemd-debuginfo.x86_64
Last metadata expiration check: 2:10:37 ago on Sun 23 Jul 2017 08:40:02 AM CEST.
Dependencies resolved.
===============================================================================
 Package               Arch       Version          Repository             Size
===============================================================================
Installing:
 systemd-debuginfo     i686       234-3.fc27       rawhide-debuginfo      19 M
 systemd-debuginfo     x86_64     234-3.fc27       rawhide-debuginfo      20 M

Transaction Summary
===============================================================================
Install  2 Packages

Total download size: 39 M
Installed size: 136 M
Is this ok [y/N]: y
Downloading Packages:
(1/2): systemd-debuginfo-234-3.fc27.x86_64.rpm 4.7 MB/s |  20 MB     00:04    
(2/2): systemd-debuginfo-234-3.fc27.i686.rpm   3.7 MB/s |  19 MB     00:05    
-------------------------------------------------------------------------------
Total                                          6.4 MB/s |  39 MB     00:06     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                       1/1 
  Installing       : systemd-debuginfo-234-3.fc27.x86_64                   1/2 
  Installing       : systemd-debuginfo-234-3.fc27.i686                     2/2 
  Verifying        : systemd-debuginfo-234-3.fc27.i686                     1/2 
  Verifying        : systemd-debuginfo-234-3.fc27.x86_64                   2/2 

Installed:
  systemd-debuginfo.i686 234-3.fc27     systemd-debuginfo.x86_64 234-3.fc27    

Complete!
Comment 5 RobbieTheK 2017-07-26 14:49:07 EDT
I'm seeing this:
dnf debuginfo-install json-glib-1.2.8-1.fc26.i686
enabling updates-debuginfo repository
enabling fedora-debuginfo repository
Last metadata expiration check: 0:28:27 ago on Wed 26 Jul 2017 02:19:39 PM EDT.
Package json-glib-debuginfo-1.2.6-1.fc26.i686 is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!

Then:

GNU gdb (GDB) Fedora 8.0-13.fc26
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
[New LWP 20548]
[New LWP 20553]
[New LWP 20551]
[New LWP 20550]
[New LWP 20552]
Reading symbols from /usr/bin/gnome-shell...Reading symbols from /usr/lib/debug/usr/bin/gnome-shell.debug...done.
done.

warning: Ignoring non-absolute filename: <linux-gate.so.1>
Missing separate debuginfo for linux-gate.so.1
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/bf/9ddd542b8eeb7527393fc378ce2fb0f77d052f

[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Core was generated by `/usr/bin/gnome-shell'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00000000 in ?? ()
[Current thread is 1 (Thread 0xb1ed7980 (LWP 20548))]
Missing separate debuginfos, use: dnf debuginfo-install json-glib-1.2.8-1.fc26.i686
Comment 6 Mark Wielaard 2017-07-27 06:06:02 EDT
(In reply to RobbieTheK from comment #5)
> This GDB was configured as "i686-redhat-linux-gnu".
> [...]
> warning: Ignoring non-absolute filename: <linux-gate.so.1>
> Missing separate debuginfo for linux-gate.so.1
> Try: dnf --enablerepo='*debug*' install
> /usr/lib/debug/.build-id/bf/9ddd542b8eeb7527393fc378ce2fb0f77d052f
> 
> [Thread debugging using libthread_db enabled]
> Using host libthread_db library "/lib/libthread_db.so.1".
> Core was generated by `/usr/bin/gnome-shell'.
> Program terminated with signal SIGSEGV, Segmentation fault.
> #0  0x00000000 in ?? ()
> [Current thread is 1 (Thread 0xb1ed7980 (LWP 20548))]
> Missing separate debuginfos, use: dnf debuginfo-install
> json-glib-1.2.8-1.fc26.i686

There might be a bug here (either in dnf or rpm not finding/fetching all relevant debug pacakges). But that is not related to this bug. This bug is about having both x86_64 and i686 debuginfo packages installed. Which is fixed in f27. Your report is about trying to use gdb on f26 i686-only gnome-shell core file. Please file a new bug report against to correct component (either gdb or dnf).

Note You need to log in before you can comment on or make changes to this bug.